/*
 * Author: Stefan Bambach <sbambach@gmx.net>
 * 
 * Wrapper around some runtime memory debugger
 */
 
#include "dbug_mem.h"

void dbug_mem_init(void)
{
   
#ifdef MEMWATCH
   mwInit();
#endif

}



void dbug_mem_quit(void)
{

#ifdef MEMWATCH
   mwTerm();
#endif
   
#ifdef DMALLOC
   dmalloc_shutdown();
#endif

}
