/***************************************************************************
 * CVSID: $Id: mntd_dbus_error.h,v 1.4 2004/03/27 01:43:25 stefanb Exp $
 *
 * mntd_dbus_error.h : D-BUS errors for MNT daemon
 *
 * Copyright (C) 2004 Stefan Bambach, <stefan@bambach.biz>
 *
 * Licensed under the GNU General Public License 2.0
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 **************************************************************************/

#ifndef __MNTD_DBUS_ERROR_H__
#define __MNTD_DBUS_ERROR_H__

#include <dbus/dbus.h>

#if defined(__cplusplus)
extern "C" {
#endif

void mntd_dbus_error_raise_no_such_device(DBusConnection* connection,
                                 DBusMessage* in_reply_to,
                                 const char* udi);

#if defined(__cplusplus)
}
#endif

#endif /* __MNTD_DBUS_ERROR_H__ */
