/***************************************************************************
 * CVSID: $Id: mntd_mount.h,v 1.2 2004/04/01 21:06:37 stefanb Exp $
 *
 * mntd_mount.h : Mount helper for MNT daemon
 *
 * Copyright (C) 2004 Stefan Bambach, <stefan@bambach.biz>
 *
 * Licensed under the GNU General Public License 2.0
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 **************************************************************************/

#ifndef __MNTD_MOUNT_H__
#define __MNTD_MOUNT_H__


#if defined(__cplusplus)
extern "C" {
#endif


int mntd_mount_mount(const char *options, const char *device, const char *mntpnt);
int mntd_mount_umount(const char *options, const char *path);


#if defined(__cplusplus)
}
#endif

#endif /* __MNTD_MOUNT_H__ */
