/***************************************************************************
 * CVSID: $Id: mntd_volume_hash_types.h,v 1.2 2004/03/28 02:40:13 stefanb Exp $
 *
 * mntd_volume_hash_types.h : Volume Manager hash functions for MNT daemon
 *
 * Copyright (C) 2004 Stefan Bambach, <stefan@bambach.biz>
 *
 * Licensed under the GNU General Public License 2.0
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 **************************************************************************/

#ifndef __HASHMAP_TYPES_H__
#define __HASHMAP_TYPES_H__


#if defined(__cplusplus)
extern "C" {
#endif


#ifdef HAVE_CONFIG_H
	#include "config.h"
#endif

	
/**
 * Typedef for hash map structure
 */
typedef struct HASHMAP_ HASHMAP, *PHASHMAP;


/**
 * Typedef for hash map element structure
 */
typedef struct HASHMAPELEMENT_ HASHMAPELEMENT, *PHASHMAPELEMENT;


#if defined(__cplusplus)
}
#endif


#endif /* __HASHMAP_TYPES_H__ */
